#
# Copyright (c) 2015-2017 Sam4Mobile, 2017 Make.org
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Wait until Gitlab instance is up (max 2 min)
::Chef::Recipe.send(:require, 'net/http')
uri = URI('http://kitchen-gitlab-ubuntu-1404/health_check?token=1234567890')

ruby_block 'Waiting Gitlab…' do
  block do
    code = '-1'
    180.times do
      code = begin
               Net::HTTP.get_response(uri).code
             rescue
               0
             end
      break if code == '200'
      sleep 1
    end
    Chef::Log.warn("Last gitlab status: #{code}") unless code == '200'
  end
end
